ICU 74.1 74.1

Data Structures | Namespaces
bytestrie.h File Reference

C++ API: Trie for mapping byte sequences to integer values. More...

`#include "unicode/utypes.h"`
`#include "unicode/stringpiece.h"`
`#include "unicode/uobject.h"`
`#include "unicode/ustringtrie.h"`

Go to the source code of this file.

## Data Structures
class | icu::BytesTrie
| Light-weight, non-const reader class for a BytesTrie. More...
class | icu::BytesTrie::State
| BytesTrie state object, for saving a trie's current state and resetting the trie back to this state later. More...
class | icu::BytesTrie::Iterator
| Iterator for all of the (byte sequence, value) pairs in a BytesTrie. More...

## Namespaces
| icu
| File coll.h.

## Detailed Description

C++ API: Trie for mapping byte sequences to integer values.

Definition in file bytestrie.h.